
From: Adrian Bunk <bunk@stusta.de>

The patch below kills lockd_syms.c.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                   |   36 ------------------------------------
 25-akpm/fs/lockd/Makefile   |    2 +-
 25-akpm/fs/lockd/clntproc.c |    2 ++
 25-akpm/fs/lockd/svc.c      |    5 +++++
 4 files changed, 8 insertions(+), 37 deletions(-)

diff -puN fs/lockd/clntproc.c~kill-lockd_symsc fs/lockd/clntproc.c
--- 25/fs/lockd/clntproc.c~kill-lockd_symsc	2004-11-07 22:38:15.245094688 -0800
+++ 25-akpm/fs/lockd/clntproc.c	2004-11-07 22:38:15.252093624 -0800
@@ -7,6 +7,7 @@
  */
 
 #include <linux/config.h>
+#include <linux/module.h>
 #include <linux/types.h>
 #include <linux/errno.h>
 #include <linux/fs.h>
@@ -278,6 +279,7 @@ done:
 	nlm_release_host(host);
 	return status;
 }
+EXPORT_SYMBOL(nlmclnt_proc);
 
 /*
  * Allocate an NLM RPC call struct
diff -L fs/lockd/lockd_syms.c -puN fs/lockd/lockd_syms.c~kill-lockd_symsc /dev/null
--- 25/fs/lockd/lockd_syms.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,36 +0,0 @@
-/*
- * linux/fs/lockd/lockd_syms.c
- *
- * Symbols exported by the lockd module.
- *
- * Authors:	Olaf Kirch (okir@monad.swb.de)
- *
- * Copyright (C) 1997 Olaf Kirch <okir@monad.swb.de>
- */
-
-#include <linux/config.h>
-#include <linux/module.h>
-
-#ifdef CONFIG_MODULES
-
-#include <linux/types.h>
-#include <linux/socket.h>
-#include <linux/time.h>
-#include <linux/uio.h>
-#include <linux/unistd.h>
-
-#include <linux/sunrpc/clnt.h>
-#include <linux/sunrpc/svc.h>
-#include <linux/lockd/lockd.h>
-
-/* Start/stop the daemon */
-EXPORT_SYMBOL(lockd_up);
-EXPORT_SYMBOL(lockd_down);
-
-/* NFS client entry */
-EXPORT_SYMBOL(nlmclnt_proc);
-
-/* NFS server entry points/hooks */
-EXPORT_SYMBOL(nlmsvc_ops);
-
-#endif /* CONFIG_MODULES */
diff -puN fs/lockd/Makefile~kill-lockd_symsc fs/lockd/Makefile
--- 25/fs/lockd/Makefile~kill-lockd_symsc	2004-11-07 22:38:15.247094384 -0800
+++ 25-akpm/fs/lockd/Makefile	2004-11-07 22:38:15.254093320 -0800
@@ -5,6 +5,6 @@
 obj-$(CONFIG_LOCKD) += lockd.o
 
 lockd-objs-y := clntlock.o clntproc.o host.o svc.o svclock.o svcshare.o \
-	        svcproc.o svcsubs.o mon.o xdr.o lockd_syms.o
+	        svcproc.o svcsubs.o mon.o xdr.o
 lockd-objs-$(CONFIG_LOCKD_V4) += xdr4.o svc4proc.o
 lockd-objs		      := $(lockd-objs-y)
diff -puN fs/lockd/svc.c~kill-lockd_symsc fs/lockd/svc.c
--- 25/fs/lockd/svc.c~kill-lockd_symsc	2004-11-07 22:38:15.249094080 -0800
+++ 25-akpm/fs/lockd/svc.c	2004-11-07 22:38:15.255093168 -0800
@@ -39,7 +39,10 @@
 #define ALLOWED_SIGS		(sigmask(SIGKILL))
 
 extern struct svc_program	nlmsvc_program;
+
 struct nlmsvc_binding *		nlmsvc_ops;
+EXPORT_SYMBOL(nlmsvc_ops);
+
 static DECLARE_MUTEX(nlmsvc_sema);
 static unsigned int		nlmsvc_users;
 static pid_t			nlmsvc_pid;
@@ -270,6 +273,7 @@ out:
 	up(&nlmsvc_sema);
 	return error;
 }
+EXPORT_SYMBOL(lockd_up);
 
 /*
  * Decrement the user count and bring down lockd if we're the last.
@@ -311,6 +315,7 @@ lockd_down(void)
 out:
 	up(&nlmsvc_sema);
 }
+EXPORT_SYMBOL(lockd_down);
 
 /*
  * Sysctl parameters (same as module parameters, different interface).
_
